curl --request POST \
--url https://services.leadconnectorhq.com/calendars/events/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"startTime": "2021-06-23T03:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": true,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": false,
"toNotify": false,
"ignoreFreeSlotValidation": true,
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"endTime": "2021-06-23T04:30:00+05:30"
}
'{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"id": "0TkCdp9PfvLeWKYRRvIz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"address": "Zoom",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
}Create appointment
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/events/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"startTime": "2021-06-23T03:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"meetingLocationId": "custom_0",
"overrideLocationConfig": true,
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"description": "Booking a call to discuss the project",
"address": "Zoom",
"ignoreDateRange": false,
"toNotify": false,
"ignoreFreeSlotValidation": true,
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5",
"endTime": "2021-06-23T04:30:00+05:30"
}
'{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"contactId": "0007BWpSzSwfiuSl0tR2",
"id": "0TkCdp9PfvLeWKYRRvIz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"title": "Test Event",
"meetingLocationType": "custom",
"appointmentStatus": "confirmed",
"assignedUserId": "0007BWpSzSwfiuSl0tR2",
"address": "Zoom",
"isRecurring": "true",
"rrule": "RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Calendar Id
"CVokAlI8fgw4WYWoCtQz"
Location Id
"C2QujeCh8ZnC7al2InWR"
Contact Id
"0007BWpSzSwfiuSl0tR2"
Start Time
"2021-06-23T03:30:00+05:30"
Title
"Test Event"
Meeting location type.
address is provided in the request body, the meetingLocationType defaults to custom.custom, zoom, gmeet, phone, address, ms_teams, google "custom"
The unique identifier for the meeting location.
calendar.locationConfigurationsor calendar.teamMembers[].locationConfigurations"custom_0"
Flag to override location config
meetingLocationId is providedmeetingLocationType is providedtrue
new, confirmed, cancelled, showed, noshow, invalid "confirmed"
Assigned User Id
"0007BWpSzSwfiuSl0tR2"
Appointment Description
"Booking a call to discuss the project"
Appointment Address
"Zoom"
If set to true, the minimum scheduling notice and date range would be ignored
false
If set to false, the automations will not run
false
If true the time slot validation would be avoided for any appointment creation (even the ignoreDateRange)
true
RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event. The rrule only be applied if ignoreFreeSlotValidation is true.
"RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
End Time
"2021-06-23T04:30:00+05:30"
Successful response
Calendar Id
"CVokAlI8fgw4WYWoCtQz"
Location Id
"C2QujeCh8ZnC7al2InWR"
Contact Id
"0007BWpSzSwfiuSl0tR2"
Id
"0TkCdp9PfvLeWKYRRvIz"
Start Time
"2021-06-23T03:30:00+05:30"
End Time
"2021-06-23T04:30:00+05:30"
Title
"Test Event"
Meeting Location Type
"custom"
new, confirmed, cancelled, showed, noshow, invalid, active, completed "confirmed"
Assigned User Id
"0007BWpSzSwfiuSl0tR2"
Appointment Address
"Zoom"
true if the event is recurring otherwise false
"true"
RRULE as per the iCalendar (RFC 5545) specification for recurring events
"RRULE:FREQ=DAILY;INTERVAL=1;COUNT=5"
Was this page helpful?